toplist {CMA} | R Documentation

## Display 'top' variables

### Description

This is a convenient method to get quick access to the most important variables, based on the result of call to `GeneSelection`.

### Usage

    toplist(object, k = 10, iter = 1, show = TRUE, ...)

### Arguments

`object` | An object of `genesel`.
`k` | Number of top genes for which information should be displayed. Defaults to 10.
`iter` | teration number (`learningset`) for which tuning results should be displayed.
`show` | Should the results be printed ? Default is `TRUE`.
`...` | Currently unused argument.

### Value

The type of output depends on the gene selection scheme. For the multiclass case, if gene selection has been run with the `"pairwise"` or `"one-vs-all"` scheme, then the output will be a list of `data.frames`, each containing the gene indices plus variable importance for the top `k` genes. The list elements are named according to the binary scenarios (e.g., `1 vs. 3`). Otherwise, a single `data.frame` is returned.

### Author(s)

Martin Slawski martin.slawski@campus.lmu.de

Anne-Laure Boulesteix http://www.slcmsr.net/boulesteix

### See Also

`genesel`, `GeneSelection`, `plot,genesel-method`

[Package CMA version 1.2.0 Index]